<template name="Profile">
    <div class="profile">
        <div class="form-container">
            <form method="post" class="update-profile-form">
                <div class="alert alert-info alert-dismissable fade in">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <strong>Info:</strong> Gérez la confidentialité de vos informations grâce au bouton <i class="icon ion-eye"></i> en forme d'œil.
                </div>
                <div class="linkedin">
                  <button class="linkedin-button btn btn-secondary" type="button" name="button">
                    Importer depuis
                    <br>
                    <img src="assets/img/logo-linkedin.png">
                  </button>
                </div>
              {{#let member=currentmember pvmember=privatemember}}
                <h2 class="text-center">Profil </h2>
                <div class="avatar">
                    <img class="img-thumbnail" src={{image member}}>
                    <button type="button" class="btn btn-primary changepicture">Changer la photo</button>
                </div>
                <div>
                    <h1>Général </h1>
                    <div class="form-group">
                        <span class="label label-default">Genre</span>
                        <select required=" " class="form-control" name="gender">
                            <option selected disabled></option>
                            <option name="genderHomme">Homme</option>
                            <option name="genderFemme">Femme</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <span class="label label-default ">Prénom</span>
                        <input class="form-control" type="text" name="firstname" required=" " placeholder="Prénom" value={{get 'firstname'}}>
                    </div>
                    <div class="form-group">
                        <span class="label label-default ">Nom</span>
                        <input class="form-control" type="text" name="name" required=" " placeholder="Nom" value={{get 'name'}}>
                    </div>
                    <div class="form-group">
                        <div class="input-group">
                            <span class="label label-default ">Date de naissance</span>
                            <input class="form-control" type="date" name="birth" required=" " placeholder="Date de naissance" value={{formatDate (get 'birth')}}>
                            <span class="input-group-btn">
                            <button name="birthvisi" class="btn btn-secondary visibility" type="button"><i class="icon ion-eye"></i></button>
                        </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <span class="label label-default ">Bio</span>
                        <textarea class="form-control" rows="14 " name="description" placeholder="Description" value={{get 'description'}}></textarea>
                    </div>
                    <div class="form-group">
                        <span class="label label-default ">Parcours associatif</span>
                        <textarea class="form-control" rows="14 " name="association" placeholder="Description" value={{get 'association'}}></textarea>
                    </div>
                    <div class="form-group">
                        <span class="label label-default ">Expériences à l'international</span>
                        <textarea class="form-control" rows="14 " name="international" placeholder="Description" value={{get 'international'}}></textarea>
                    </div>
                </div>
                <div>
                    <h1>Réseaux Sociaux</h1>
                    <div class="form-group">
                        <div class="input-group">
                            <span class="label label-default ">Email</span>
                            <input class="form-control" type="email" name="mail" placeholder="Email" value={{get 'mail'}}>
                            <span class="input-group-btn">
                            <button name="mailvisi" class="btn btn-secondary visibility" type="button"><i class="icon ion-eye"></i></button>
                        </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="input-group">
                            <span class="label label-default ">Téléphone</span>
                            <input class="form-control" type="tel" name="phone" placeholder="Téléphone" value={{get 'phone'}}>
                            <span class="input-group-btn">
                            <button name="phonevisi" class="btn btn-secondary visibility" type="button"><i class="icon ion-eye"></i></button>
                        </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="input-group">
                            <span class="label label-default ">Compte Facebook</span>
                            <input class="form-control" type="text" name="facebook" placeholder="Lien Facebook" value={{get 'facebook'}}>
                            <span class="input-group-btn">
                            <button name="facebookvisi" class="btn btn-secondary visibility" type="button"><i class="icon ion-eye"></i></button>
                        </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="input-group">
                            <span class="label label-default ">Compte Twitter</span>
                            <input class="form-control" type="text" name="twitter" placeholder="Lien Twitter" value={{get 'twitter'}}>
                            <span class="input-group-btn">
                            <button name="twittervisi" class="btn btn-secondary visibility" type="button"><i class="icon ion-eye"></i></button>-
                        </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="input-group">
                            <span class="label label-default ">Compte LinkedIn</span>
                            <input class="form-control" type="text" name="linkedin" placeholder="Lien Linkedin" value={{get 'linkedin'}}>
                            <span class="input-group-btn">
                            <button name="linkedinvisi" class="btn btn-secondary visibility" type="button"><i class="icon ion-eye"></i></button>
                        </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="input-group">
                            <span class="label label-default ">Compte Viadeo</span>
                            <input class="form-control" type="text" name="viadeo" placeholder="Lien Viadeo" value={{get 'viadeo'}}>
                            <span class="input-group-btn">
                            <button name="videovisi" class="btn btn-secondary visibility" type="button"><i class="icon ion-eye"></i></button>
                        </span>
                        </div>
                    </div>
                </div>
                <div>
                    <h1>Adresse actuelle </h1>
                    <div class="form-group">
                        <div class="input-group">
                            <span class="label label-default ">Adresse</span>
                            <input class="form-control" type="text" name="address" placeholder="Adresse" value={{get 'address'}}>
                            <span class="input-group-btn">
                            <button title="L'adresse n'est utilisée que par l'association." disabled name="" class="btn btn-secondary visibility" type="button"><i class="icon ion-eye-disabled"></i></button>
                        </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="input-group">
                            <span class="label label-default ">Code Postal</span>
                            <input class="form-control" type="number" name="postalcode" placeholder="Code postal" value={{get 'postalcode'}}>
                            <span class="input-group-btn">
                            <button name="" class="btn btn-secondary visibility" type="button"><i class="icon ion-eye"></i></button>
                        </span>
                        </div>
                    </div>
                    <div class="alert alert-info alert-dismissable fade in">
                        <strong><i style="font-size: 25px;" class="fa fa-lightbulb-o"></i></strong> Pour apparaitre sur la carte, remplissez et laissez public ville et pays.
                        <br>
                    </div>
                    <div class="form-group">
                        <div class="input-group">
                            <span class="label label-default ">Ville</span>
                            <input class="form-control" type="text" name="city" placeholder="Ville actuelle" value={{get 'city'}}>
                            <span class="input-group-btn">
                            <button name="" class="btn btn-secondary visibility" type="button"><i class="icon ion-eye"></i></button>
                        </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="input-group">
                            <span class="label label-default ">Pays</span>
                            <input class="form-control" type="text" name="country" placeholder="Pays Actuel" value={{get 'country'}}>
                            <span class="input-group-btn">
                            <button name="" class="btn btn-secondary visibility" type="button"><i class="icon ion-eye"></i></button>
                        </span>
                        </div>
                    </div>
                </div>
                <div>
                    <h1>Profession et Études</h1>
                    <div class="form-group">
                        <span class="label label-default">Statut</span>
                        <select class="form-control" name="status">
                            <option selected disabled></option>
                            {{#each status in statuses}}
                            <option name="status{{status}}">{{status}}</option>
                            {{/each}}
                        </select>
                    </div>
                    <div class="form-group">
                        <span class="label label-default">Diplôme</span>
                        <input class="form-control" type="text" name="diploma" placeholder="Diplôme" value={{get 'diploma'}}>
                    </div>
                    <div class="form-group">
                        <span class="label label-default">Titre Pro</span>
                        <input class="form-control" type="text" name="protitle" placeholder="Titre professionnel" value={{get 'protitle'}}>
                    </div>
                    <div class="form-group">
                        <span class="label label-default ">Secteur</span>
                        <select class="form-control" name="profield">
                            <option selected disabled></option>
                            {{#each secteur in secteurs}}
                            <option name="profield{{secteur}}">{{secteur}}</option>
                            {{/each}}
                            <option name="profieldAutre">Autre</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <span class="label label-default ">Lycée</span>
                        <select class="form-control" name="school">
                            <option selected disabled></option>
                            {{#each lycee in lycees}}
                            <option name="school{{lycee}}">{{lycee}}</option>
                            {{/each}}
                            <option name="schoolAutre">Autre</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <span class="label label-default ">Baccalauréat</span>
                        <select class="form-control" name="bac">
                            <option selected disabled></option>
                            {{#each bac in bacs}}
                            <option name="bac{{bac}}">{{bac}}</option>
                            {{/each}}
                            <option name="bacAutre">Autre</option>
                        </select>
                    </div>                </div>
                <div>
                    <h1>Divers </h1>
                    <div class="form-group">
                        <span class="label label-default ">Volonté d'entreprendre</span>
                        <div style="margin:5px" id="slider-entrep"></div>
                        <p>{{entrepslider}}</p>
                    </div>
                    <div class="form-group">
                        <span class="label label-default ">Désir de retour au pays</span>
                        <div style="margin:5px" id="slider-home"></div>
                        <p>{{homeslider}}</p>
                    </div>
                </div>
                <div class="form-group">
                    <div class="input-group">
                        <input style="display: inline-block;width: 20px;" class="form-control" type="checkbox" checked="{{get 'helper'}}" name="helper">
                        <label style="display: inline-block;margin-top:18px;margin-left: 5px;">Je souhaite parrainer des lycéens.</label>
                    </div>
                </div>
                <div class="form-group">
                    <div class="input-group">
                        <input style="display: inline-block;width: 20px;" class="form-control" type="checkbox" checked=true id="newsletter" name="newletter">
                        <label style="display: inline-block;margin-top:18px;margin-left: 5px;">Je souhaite recevoir la newsletter.</label>
                    </div>
                </div>
                <div class="form-group">
                    <button class="btn btn-primary submit" type="submit">Enregistrer </button>
                </div>
                <div class="alert alert-info fade in" style="font-size: 10px; text-align: center;">
                    Conformément à la loi « informatique et libertés » du 6 janvier 1978 modifiée, vous disposez d’un droit d’accès, de suppression et de rectification aux informations qui vous concernent.
                </div>
                {{/let}}
            </form>
        </div>
    </div>
</template>